Debian Bug report logs - #450535
libmysqlclient16: Please version symbols differently in libmysqlclient_r and libmysqlclient

version graph

Package: libmysqlclient16; Maintainer for libmysqlclient16 is Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>;

Reported by: Stefan Fritsch <sf@sfritsch.de>

Date: Wed, 7 Nov 2007 22:36:01 UTC

Severity: important

Tags: upstream

Found in version mysql-dfsg-5.1/5.1.22rc-1

Forwarded to http://bugs.mysql.com/bug.php?id=32196

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#450535; Package libmysqlclient16. Full text and rfc822 format available.

Acknowledgement sent to Stefan Fritsch <sf@sfritsch.de>:
New Bug report received and forwarded. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stefan Fritsch <sf@sfritsch.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libmysqlclient16: Please version symbols differently in libmysqlclient_r and libmysqlclient
Date: Wed, 07 Nov 2007 23:23:03 +0100
Package: libmysqlclient16
Version: 5.1.22rc-1
Severity: wishlist

Dear mysql maintainers,

there will be mysql support in libaprutil, which will use libmysqlclient_r.so.
Together with php's mysql extension, this means that both libmysqlclient_r.so
and libmysqlclient.so will be loaded into Apache. This is probably a very bad
idea, since both libraries use the same symbols and symbol versions.

A conversation on #debian-devel with seanius, vorlon, and peterS came to the
conclusion that the best solution would be to have libmysqlclient_r and
libmysqlclient use different symbol versions. To have only one mysql library
transition until lenny release, this would need to be implemented in the first
upload of 5.1 to unstable.


Other suggested solutions were

- link php-mysql to libmysqlclient_r
- make libmysqlclient symlink to libmysqlclient_r

but these might cause unnecessary performance degradation. (Although I don't
know whether this is really an issue).


Any thoughts?

Cheers,
Stefan




Blocking bugs of 395959 added: 450535 Request was from Stefan Fritsch <sf@debian.org> to control@bugs.debian.org. (Wed, 07 Nov 2007 22:42:06 GMT) Full text and rfc822 format available.

Blocking bugs of 405773 added: 450535 Request was from Stefan Fritsch <sf@debian.org> to control@bugs.debian.org. (Wed, 07 Nov 2007 22:42:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#450535; Package libmysqlclient16. Full text and rfc822 format available.

Acknowledgement sent to Christian Hammers <ch@lathspell.de>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #14 received at 450535@bugs.debian.org (full text, mbox):

From: Christian Hammers <ch@lathspell.de>
To: Stefan Fritsch <sf@sfritsch.de>, 450535@bugs.debian.org
Subject: Re: [debian-mysql] Bug#450535: libmysqlclient16: Please version symbols differently in libmysqlclient_r and libmysqlclient
Date: Thu, 8 Nov 2007 08:25:26 +0100
On Wed, 07 Nov 2007 23:23:03 +0100
Stefan Fritsch <sf@sfritsch.de> wrote:

> Package: libmysqlclient16
> Version: 5.1.22rc-1
> Severity: wishlist
> 
> Dear mysql maintainers,
> 
> there will be mysql support in libaprutil, which will use libmysqlclient_r.so.
> Together with php's mysql extension, this means that both libmysqlclient_r.so
> and libmysqlclient.so will be loaded into Apache. This is probably a very bad
> idea, since both libraries use the same symbols and symbol versions.

The *_r and the normal version only differ in that _r is "reentrant"/multithreading
ready, right?

> 
> A conversation on #debian-devel with seanius, vorlon, and peterS came to the
> conclusion that the best solution would be to have libmysqlclient_r and
> libmysqlclient use different symbol versions. To have only one mysql library
> transition until lenny release, this would need to be implemented in the first
> upload of 5.1 to unstable.

I would like to coordinate that with upstream so that shared binaries work across
distributions (also such compatibility is probably rarely needed).

> Other suggested solutions were
> 
> - link php-mysql to libmysqlclient_r

The problem would appear soon for other applications that happen to link 
a lot of shared libraries again, or? Do you know how libpostgres, libxml or
other libraries handle this case? Or if mod_auth_mysql starts using it.

> - make libmysqlclient symlink to libmysqlclient_r

> but these might cause unnecessary performance degradation. (Although I don't
> know whether this is really an issue).

Would that work? The performance degradation would indeed be neglible
as most time is usually spend in the server and not in fetching the result
data.


I will open a bug report at http://bugs.mysql.com to discuss this with
upstream this evening. Feel free to do so before if you have time.

bye,

-christian-







Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#450535; Package libmysqlclient16. Full text and rfc822 format available.

Acknowledgement sent to Christian Hammers <ch@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #19 received at 450535@bugs.debian.org (full text, mbox):

From: Christian Hammers <ch@debian.org>
To: dc <control@bugs.debian.org>
Cc: 450535@bugs.debian.org
Subject: Re: [debian-mysql] Bug#450535: Bug#450535: libmysqlclient16: Please version symbols differently in libmysqlclient_r and libmysqlclient
Date: Thu, 8 Nov 2007 21:52:53 +0100
[Message part 1 (text/plain, inline)]
forwarded 450535 http://bugs.mysql.com/bug.php?id=32196
tags 450535 + upstream
severity 450535 important
stop

Let's see what they answer...
[signature.asc (application/pgp-signature, attachment)]

Noted your statement that Bug has been forwarded to http://bugs.mysql.com/bug.php?id=32196. Request was from Christian Hammers <ch@debian.org> to control@bugs.debian.org. (Thu, 08 Nov 2007 21:06:03 GMT) Full text and rfc822 format available.

Tags added: upstream Request was from Christian Hammers <ch@debian.org> to control@bugs.debian.org. (Thu, 08 Nov 2007 21:06:03 GMT) Full text and rfc822 format available.

Severity set to `important' from `wishlist' Request was from Christian Hammers <ch@debian.org> to control@bugs.debian.org. (Thu, 08 Nov 2007 21:06:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#450535; Package libmysqlclient16. Full text and rfc822 format available.

Acknowledgement sent to "Stefan Fritsch" <sf@sfritsch.de>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #30 received at 450535@bugs.debian.org (full text, mbox):

From: "Stefan Fritsch" <sf@sfritsch.de>
To: "Christian Hammers" <ch@lathspell.de>
Cc: 450535@bugs.debian.org
Subject: Re: [debian-mysql] Bug#450535: libmysqlclient16: Please version symbols differently in libmysqlclient_r and libmysqlclient
Date: Fri, 9 Nov 2007 13:16:37 +0100 (CET)
> The *_r and the normal version only differ in that _r is
> "reentrant"/multithreading
> ready, right?

I think so. But I don't really know that much about mysql.


>> Other suggested solutions were
>>
>> - link php-mysql to libmysqlclient_r
>
> The problem would appear soon for other applications that happen to link
> a lot of shared libraries again, or? Do you know how libpostgres, libxml
> or
> other libraries handle this case? Or if mod_auth_mysql starts using it.

I think most libraries just have a thread save version. Apr/apr-util can
be compiled both ways but the apache maintainers decided to only ship the
thread save version in Debian.

>
>> - make libmysqlclient symlink to libmysqlclient_r
>
>> but these might cause unnecessary performance degradation. (Although I
>> don't
>> know whether this is really an issue).
>
> Would that work? The performance degradation would indeed be neglible
> as most time is usually spend in the server and not in fetching the result
> data.

It would certainly not be binary compatible to other distributions. And 
mysql_config would need to be modified so that --libs includes -lthread as
--libs_r does. I don't know what else needs to be changed.

Cheers,
Stefan





Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#450535; Package libmysqlclient16. Full text and rfc822 format available.

Acknowledgement sent to Stefan Fritsch <sf@sfritsch.de>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #35 received at 450535@bugs.debian.org (full text, mbox):

From: Stefan Fritsch <sf@sfritsch.de>
To: 450535@bugs.debian.org
Subject: Re: [debian-mysql] Bug#450535: libmysqlclient16: Please version symbols differently in libmysqlclient_r and libmysqlclient
Date: Fri, 9 Nov 2007 21:35:22 +0100
On Friday 09 November 2007, Stefan Fritsch wrote:
> >> - make libmysqlclient symlink to libmysqlclient_r
> >>
> >> but these might cause unnecessary performance degradation.
> >> (Although I don't
> >> know whether this is really an issue).
> >
> > Would that work? The performance degradation would indeed be
> > neglible as most time is usually spend in the server and not in
> > fetching the result data.
>
> It would certainly not be binary compatible to other distributions.
> And mysql_config would need to be modified so that --libs includes
> -lthread as --libs_r does. I don't know what else needs to be
> changed.

There is some more information at
http://dev.mysql.com/doc/refman/5.1/en/threaded-clients.html





Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#450535; Package libmysqlclient16. Full text and rfc822 format available.

Acknowledgement sent to Stefan Fritsch <sf@sfritsch.de>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #40 received at 450535@bugs.debian.org (full text, mbox):

From: Stefan Fritsch <sf@sfritsch.de>
To: 450535@bugs.debian.org
Subject: Bug#450535: libmysqlclient16: Please version symbols differently in libmysqlclient_r and libmysqlclient
Date: Fri, 29 Feb 2008 22:07:38 +0100
Hi,

are there any new thoughts on this issue? Will mysql 5.1 be released 
(and stable) in time for lenny? The current release schedule says 
full freeze will be in mid July.

If upstream does not adopt different symbol versions, would you still 
do it in the Debian packages? Or should I look for different options 
to support mysql in apr-util (like convincing the php maintainers to 
link against libmysqlclient_r)?

Cheers,
Stefan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#450535; Package libmysqlclient16. Full text and rfc822 format available.

Acknowledgement sent to Norbert Tretkowski <norbert@tretkowski.de>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #45 received at 450535@bugs.debian.org (full text, mbox):

From: Norbert Tretkowski <norbert@tretkowski.de>
To: Stefan Fritsch <sf@sfritsch.de>, 450535@bugs.debian.org
Subject: Re: [debian-mysql] Bug#450535: libmysqlclient16: Please version symbols differently in libmysqlclient_r and libmysqlclient
Date: Sat, 01 Mar 2008 20:29:35 +0100
Am Freitag, den 29.02.2008, 22:07 +0100 schrieb Stefan Fritsch: 
> are there any new thoughts on this issue?

Unfortunately upstream didn't really respond to the bugreport:
http://bugs.mysql.com/bug.php?id=32196

> Will mysql 5.1 be released (and stable) in time for lenny? The current
> release schedule says full freeze will be in mid July.

I think we will ship with 5.0 as default release for lenny.

> If upstream does not adopt different symbol versions, would you still 
> do it in the Debian packages?

I still hope upstream will adopt different symbol versions...

> Or should I look for different options to support mysql in apr-util
> (like convincing the php maintainers to link against
> libmysqlclient_r)?

Looking for a different option seems the fast way to fix this issue.

	Norbert





Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#450535; Package libmysqlclient16. Full text and rfc822 format available.

Acknowledgement sent to Monty Taylor <monty@inaugust.com>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #50 received at 450535@bugs.debian.org (full text, mbox):

From: Monty Taylor <monty@inaugust.com>
To: Norbert Tretkowski <norbert@tretkowski.de>, 450535@bugs.debian.org
Cc: Stefan Fritsch <sf@sfritsch.de>
Subject: Re: [debian-mysql] Bug#450535: Bug#450535: libmysqlclient16: Please version symbols differently in libmysqlclient_r and libmysqlclient
Date: Sat, 01 Mar 2008 20:35:08 +0100
Norbert Tretkowski wrote:

> I still hope upstream will adopt different symbol versions...
> 

I will add this to the list of lib-building-and-linking issues I bug
people about.

Monty




Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#450535; Package libmysqlclient16. Full text and rfc822 format available.

Acknowledgement sent to Stefan Fritsch <sf@sfritsch.de>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #55 received at 450535@bugs.debian.org (full text, mbox):

From: Stefan Fritsch <sf@sfritsch.de>
To: 450535@bugs.debian.org
Subject: Re: [debian-mysql] Bug#450535: libmysqlclient16: Please version symbols differently in libmysqlclient_r and libmysqlclient
Date: Sun, 2 Mar 2008 23:51:38 +0100
On Saturday 01 March 2008, Norbert Tretkowski wrote:
> I think we will ship with 5.0 as default release for lenny.

Thanks for the information. I will bug the php maintainers then 
(#469081).

Cheers,
Stefan





Severity set to `wishlist' from `important' Request was from Stefan Fritsch <sf@sfritsch.de> to control@bugs.debian.org. (Sun, 04 May 2008 10:03:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#450535; Package libmysqlclient16. Full text and rfc822 format available.

Acknowledgement sent to Monty Taylor <monty@inaugust.com>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #62 received at 450535@bugs.debian.org (full text, mbox):

From: Monty Taylor <monty@inaugust.com>
To: Norbert Tretkowski <norbert@tretkowski.de>, 450535@bugs.debian.org
Cc: Stefan Fritsch <sf@sfritsch.de>
Subject: Re: [debian-mysql] Bug#450535: Bug#450535: libmysqlclient16: Please version symbols differently in libmysqlclient_r and libmysqlclient
Date: Sun, 04 May 2008 12:25:18 -0700
Norbert Tretkowski wrote:

>> Or should I look for different options to support mysql in apr-util
>> (like convincing the php maintainers to link against
>> libmysqlclient_r)?

I think this would be a win. In fact, I would vote for starting to
symlink libmysqlclient to libmysqlclient_r unless someone can really
prove that there is a real performance hit. I'm trying to convince
upstream that we need to stop building both anyway. In any case, I can
pretty much guarantee that upstream will not do anything on this issue
for 5.0 or 5.1. I might be able to sneak something in to 6.0.... but
like I said, I'm trying to get rid of the threaded/non-threaded lib
business by then anyway.

Monty




Blocking bugs of 405773 removed: 450535 Request was from Stefan Fritsch <sf@debian.org> to control@bugs.debian.org. (Sun, 18 May 2008 16:12:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#450535; Package libmysqlclient16. (Sat, 11 Apr 2009 19:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Fritsch <sf@sfritsch.de>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. (Sat, 11 Apr 2009 19:39:02 GMT) Full text and rfc822 format available.

Message #69 received at 450535@bugs.debian.org (full text, mbox):

From: Stefan Fritsch <sf@sfritsch.de>
To: 450535@bugs.debian.org
Cc: control@bugs.debian.org
Subject: This seems to break mod_perl with DBD::Mysql
Date: Sat, 11 Apr 2009 21:38:14 +0200
severity 450535 important
block 521117 with 450535
thanks

Hi,

from #521117 it looks like that the lack of different symbol versions 
in libmysqlclient and libmysqlclient_r broke DBD::Mysql when used via 
mod_perl in lenny (and squeeze/sid). 
Unfortunately /usr/lib/perl5/auto/DBD/mysql/mysql.so links to 
libmysqlclient.so, but I didn't think of it when changing libaprutil1 
and php-mysql (mod_perl is supposed to be thread safe, anyway).

One solution would be to make perl dbd::mysql link to 
libmysqlclient_r, but I fear we can continue this game until 
everything in Debian links to libmysqlclient_r instead of 
libmysqlclient.

Therefore I think changing symbol versions, or even dropping 
libmysqlclient.so, would be the better option. Of course, this should 
be done before uploading mysql 5.1 to unstable :-/

Cheers,
Stefan




Severity set to `important' from `wishlist' Request was from Stefan Fritsch <sf@sfritsch.de> to control@bugs.debian.org. (Sat, 11 Apr 2009 19:39:04 GMT) Full text and rfc822 format available.

Blocking bugs of 521117 added: 450535 Request was from Stefan Fritsch <sf@sfritsch.de> to control@bugs.debian.org. (Sat, 11 Apr 2009 19:39:06 GMT) Full text and rfc822 format available.

Blocking bugs of 521117 removed: 450535 Request was from Stefan Fritsch <sf@debian.org> to control@bugs.debian.org. (Tue, 19 May 2009 19:48:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#450535; Package libmysqlclient16. (Tue, 19 May 2009 20:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefan Fritsch <sf@sfritsch.de>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. (Tue, 19 May 2009 20:03:05 GMT) Full text and rfc822 format available.

Message #80 received at 450535@bugs.debian.org (full text, mbox):

From: Stefan Fritsch <sf@sfritsch.de>
To: 450535@bugs.debian.org
Subject: Re: This seems to break mod_perl with DBD::Mysql
Date: Tue, 19 May 2009 21:52:20 +0200
On Saturday 11 April 2009, Stefan Fritsch wrote:
> from #521117 it looks like that the lack of different symbol
> versions in libmysqlclient and libmysqlclient_r broke DBD::Mysql
> when used via mod_perl in lenny (and squeeze/sid).
> Unfortunately /usr/lib/perl5/auto/DBD/mysql/mysql.so links to
> libmysqlclient.so, but I didn't think of it when changing
> libaprutil1 and php-mysql (mod_perl is supposed to be thread safe,
> anyway).

It seems the set of bugs reported to apache are actually bugs in 
DBD::MySQL (#520406) and may have nothing to do with the 
libmysqlclient.so/libmysqlclient_r.so linkage. OTOH, right now it's 
impossible to check if loading both libraries into one process causes 
problems.




Tags added: pending Request was from Christian Hammers <ch@alioth.debian.org> to control@bugs.debian.org. (Sun, 05 Jul 2009 22:42:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#450535; Package libmysqlclient16. (Wed, 08 Jul 2009 21:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Hammers <ch@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>. (Wed, 08 Jul 2009 21:42:02 GMT) Full text and rfc822 format available.

Message #87 received at 450535@bugs.debian.org (full text, mbox):

From: Christian Hammers <ch@debian.org>
To: pkg-mysql-maint@lists.alioth.debian.org
Cc: 450535@bugs.debian.org
Subject: Re: Linking libxxx.so to libxxx_r.so? dpkg-shlibdep doesn't like it...
Date: Wed, 8 Jul 2009 23:40:41 +0200
Hello

Am Wed, 8 Jul 2009 15:57:02 +0200
schrieb Pierre Habouzit <madcoder@madism.org>:

> On Wed, Jul 08, 2009 at 03:53:58PM +0200, Pierre Habouzit wrote:
> > On Sun, Jul 05, 2009 at 11:01:21PM +0200, Christian Hammers wrote:
> > > Hello
> > > 
> > > To help packages like Apache which have some parts like libaprutil
> > > that wants to link against libmysqlclient16_r.so and some like PHP
> > > that wants to link against libmysqlcient.so, it was proposed that
> > > libmysqlclient.so should be made a symlink pointing to the thread
> > > safe *_r.so version.
...
> This is poorly worded, you can do what you want, but it means that you
> will break binary compatibility with other distributions. By bumping
> the soname, you ensure that nothing will break with this change, so
> Debian-wise it's probably fine.

The missing symbol he was talking about is from libmysql/my_static.c

 #ifndef THREAD
 int             NEAR my_errno=0;
 #endif

and makes perfectly sense to be unavailable in a threaded context.

So that leaves us with

a) simply uncomment it (I'm totally against making such changes to
   upstream code)

b) ask MySQL to uncomment it (I have my doubts that this would happen
   in time if at all)

c) ask MySQL to put a different symbol to the thread-safe library (here
   I doubt that they will do that as MySQL-5.1 is stable and they would
   break existing installations themselves)

d) introduce a Debian specific library symbols to the thread-safe
   library which breaks cross-distro binary compatibility

e) convince all projects to link against the thread-safe library. That
   could imply that we have to convince upstream authors to use a
   thread safe way of getting the error status (which obviously must
   exist, too) if they are currently using the global my_errno.

Any further ideas? I guess I would be in favour of e) because it follows
the maxim of changing as few upstream code as possible.

bye,

-christian-





Reply sent to Christian Hammers <ch@debian.org>:
You have taken responsibility. (Sat, 18 Jul 2009 08:00:10 GMT) Full text and rfc822 format available.

Notification sent to Stefan Fritsch <sf@sfritsch.de>:
Bug acknowledged by developer. (Sat, 18 Jul 2009 08:00:10 GMT) Full text and rfc822 format available.

Message #92 received at 450535-close@bugs.debian.org (full text, mbox):

From: Christian Hammers <ch@debian.org>
To: 450535-close@bugs.debian.org
Subject: Bug#450535: fixed in mysql-dfsg-5.1 5.1.36-1
Date: Sat, 18 Jul 2009 07:47:15 +0000
Source: mysql-dfsg-5.1
Source-Version: 5.1.36-1

We believe that the bug you reported is fixed in the latest version of
mysql-dfsg-5.1, which is due to be installed in the Debian FTP archive:

libmysqlclient-dev_5.1.36-1_amd64.deb
  to pool/main/m/mysql-dfsg-5.1/libmysqlclient-dev_5.1.36-1_amd64.deb
libmysqlclient15-dev_5.1.36-1_all.deb
  to pool/main/m/mysql-dfsg-5.1/libmysqlclient15-dev_5.1.36-1_all.deb
libmysqlclient16_5.1.36-1_amd64.deb
  to pool/main/m/mysql-dfsg-5.1/libmysqlclient16_5.1.36-1_amd64.deb
mysql-client-5.1_5.1.36-1_amd64.deb
  to pool/main/m/mysql-dfsg-5.1/mysql-client-5.1_5.1.36-1_amd64.deb
mysql-client_5.1.36-1_all.deb
  to pool/main/m/mysql-dfsg-5.1/mysql-client_5.1.36-1_all.deb
mysql-common_5.1.36-1_all.deb
  to pool/main/m/mysql-dfsg-5.1/mysql-common_5.1.36-1_all.deb
mysql-dfsg-5.1_5.1.36-1.diff.gz
  to pool/main/m/mysql-dfsg-5.1/mysql-dfsg-5.1_5.1.36-1.diff.gz
mysql-dfsg-5.1_5.1.36-1.dsc
  to pool/main/m/mysql-dfsg-5.1/mysql-dfsg-5.1_5.1.36-1.dsc
mysql-dfsg-5.1_5.1.36.orig.tar.gz
  to pool/main/m/mysql-dfsg-5.1/mysql-dfsg-5.1_5.1.36.orig.tar.gz
mysql-server-5.1_5.1.36-1_amd64.deb
  to pool/main/m/mysql-dfsg-5.1/mysql-server-5.1_5.1.36-1_amd64.deb
mysql-server_5.1.36-1_all.deb
  to pool/main/m/mysql-dfsg-5.1/mysql-server_5.1.36-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 450535@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Christian Hammers <ch@debian.org> (supplier of updated mysql-dfsg-5.1 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 01 Jul 2009 20:54:58 +0200
Source: mysql-dfsg-5.1
Binary: libmysqlclient16 libmysqlclient15-dev libmysqlclient-dev mysql-common mysql-client-5.1 mysql-server-5.1 mysql-server mysql-client
Architecture: source all amd64
Version: 5.1.36-1
Distribution: experimental
Urgency: low
Maintainer: Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>
Changed-By: Christian Hammers <ch@debian.org>
Description: 
 libmysqlclient-dev - MySQL database development files
 libmysqlclient15-dev - MySQL database development files - empty transitional package
 libmysqlclient16 - MySQL database client library
 mysql-client - MySQL database client (metapackage depending on the latest versio
 mysql-client-5.1 - MySQL database client binaries
 mysql-common - MySQL database common files (e.g. /etc/mysql/my.cnf)
 mysql-server - MySQL database server (metapackage depending on the latest versio
 mysql-server-5.1 - MySQL database server binaries
Closes: 447028 447713 450535 470854 508406 515145 526254 533999 535492 535500
Changes: 
 mysql-dfsg-5.1 (5.1.36-1) experimental; urgency=low
 .
   [TODO]
   * Link libmysqlclient.so to libmysqlclient_r.so to help applications
     like Apache where some modules, like libaprutil, want to use the thread
     safe library and some, like PHP, do not. As the client library just copies
     data between client and server, we do not expect significant performance
     losses. (thanks to Stefan Fritsch). Closes: #450535
 .
     Add the following to libmysqlclient16.links:
     usr/lib/libmysqlclient_r.so.16.0.0 usr/lib/libmysqlclient.so.16.0.0
 .
   * Ex-maintainer upload :)
   * New upstream release.
   * SECURITY: Upstream fix for "mysql client does not escape strings in
     --html mode." (CVE-2008-4456) Closes: #526254
   * Upstream fixes REPEAT() function. Closes: #447028
   * Upstream fixes problems when mixing ORDER and GROUP BY. Closes: #470854
   * There were many innodb fixes in the last two years, probably
     also for this unreproducible crash. CLoses: #447713
   * Removed amd64 specific -fPIC compiler option that was introduced
     especially for building the NDB cluster module which is no longer
     part of this package (thanks to Modestas Vainius). Closes: #508406
   * Put /etc/mysql/conf.d to mysql-server-5.1.dirs (thanks to Alexander
     Gerasiov). Closes: #515145
   * Fixed mysql-test suite by adding 50_mysql-test__db_test.dpatch.
     It now passes 100% of the tests again. Also Closes: #533999
   * Preinst now prevents Installation if NDB configuration is detected.
   * Applied Ubuntu patch that fixes privilege bootstrapping in postinst
     (thanks to Mathias Gug). Closes: #535492
   * Applied Ubuntu patch that sets the debconf prio for the root password
     question to high and prevents it from being asked on 5.0 -> 5.1 upgrades
     (thanks to Mathias Gug). Closes: #535500
   * Removed the check for ISAM tables as the only supported upgrade path is
     from lenny's MySQL-5.0.
   * Added /etc/mysql/conf.d/mysqld_safe_syslog.cnf which enables mysqld_safe
     to pipe all mysqld output into the syslog. The reason for not letting dpkg
     handle it via a normal config file change was that my.cnf is usually
     heavily tuned by the admin so the setting would go lost too easily.
   * Updated mysqlreport to version 3.5 (including two minor patches by me).
Checksums-Sha1: 
 9318a87ccf4f044052d15d7c3b837e1d19c11b8a 1652 mysql-dfsg-5.1_5.1.36-1.dsc
 c5efbf1821742d2e7b1c02511d266de117c19b0a 18263034 mysql-dfsg-5.1_5.1.36.orig.tar.gz
 3d864cab767100ccd58dba90440d5742c8fc8694 283528 mysql-dfsg-5.1_5.1.36-1.diff.gz
 77f3bb147cb5156a6f48a800ec8fbd3e9005623d 54884 libmysqlclient15-dev_5.1.36-1_all.deb
 e685fc0564a49e5374c48e4d823d1f9ce79e6cc8 60446 mysql-common_5.1.36-1_all.deb
 a9b8c080debd736712939631b5c9eedcec268cbf 55068 mysql-server_5.1.36-1_all.deb
 11042c2b51d709bc8279d57770693c2d0feedcf7 54936 mysql-client_5.1.36-1_all.deb
 b4196190051238f621e6c865b65138ae556bfef7 1953306 libmysqlclient16_5.1.36-1_amd64.deb
 67b4bbe30243644a4c30de69f860d81523d14a97 6678002 libmysqlclient-dev_5.1.36-1_amd64.deb
 ba502cb869281064a7862acba13c3bcb03f0394c 9115414 mysql-client-5.1_5.1.36-1_amd64.deb
 46d7a1be6707fb5fe7bbedda2657eb24ded3668c 10732690 mysql-server-5.1_5.1.36-1_amd64.deb
Checksums-Sha256: 
 b74eea53f321837c1054b70734b3bde6ef235db1737cdebfb5d3e9d5ac05ef9d 1652 mysql-dfsg-5.1_5.1.36-1.dsc
 a2a70518069d93f6bb3d1561db4d2e622db9d9c08acd99b0f9509d3eedb9b47b 18263034 mysql-dfsg-5.1_5.1.36.orig.tar.gz
 b0c54fdca2b544fcc9f5336a67a747df1319a5fb41838dffa6556c8510d2143e 283528 mysql-dfsg-5.1_5.1.36-1.diff.gz
 8321c34a66ce39a75e1fab6596d9d07bd0a5fd01806e2e8b2b4f21ee1f3a923e 54884 libmysqlclient15-dev_5.1.36-1_all.deb
 0d9ca1595df1801286e9df03ab38763182fbf2444a3f42bb0464c6bf129b921a 60446 mysql-common_5.1.36-1_all.deb
 212ea536178c8dc8a0ffa72fa0d0338ff1122126b2e8592520fc44e655c0bc2b 55068 mysql-server_5.1.36-1_all.deb
 01c47078f14b518b571cc673673e9221b2f8e601702f82ba54ff95632f8613fb 54936 mysql-client_5.1.36-1_all.deb
 e74cfbc7c6020da35324452817bf4f2cbad9a22723e65821e9d797d0c0f15f44 1953306 libmysqlclient16_5.1.36-1_amd64.deb
 65b27dd8eaf10446273d393249ee4ccf5367a869eef1ea0ec72cf191b4766bf2 6678002 libmysqlclient-dev_5.1.36-1_amd64.deb
 5af25a00a5fa01dd5c4ba5339026477b683a525c1665aa8cba419a88d753146d 9115414 mysql-client-5.1_5.1.36-1_amd64.deb
 e743bbba3eac77237714718f50ff933acc1ddba6436f14bc938d41acba3f7510 10732690 mysql-server-5.1_5.1.36-1_amd64.deb
Files: 
 2e91cb7645287cc50125122d712fba74 1652 misc optional mysql-dfsg-5.1_5.1.36-1.dsc
 02a83e864464b4ce78bda453061e6b32 18263034 misc optional mysql-dfsg-5.1_5.1.36.orig.tar.gz
 9e59959fd0e59d08024475a69e79f706 283528 misc optional mysql-dfsg-5.1_5.1.36-1.diff.gz
 73b60780efce81d54ae8c6a4fc997a86 54884 libdevel optional libmysqlclient15-dev_5.1.36-1_all.deb
 fca1cbc3e7ea7953cb881b356b8c5103 60446 database optional mysql-common_5.1.36-1_all.deb
 07c696ba56b2dd5911c85043644d9030 55068 database optional mysql-server_5.1.36-1_all.deb
 464af2e560a25bc4280d608549afcf85 54936 database optional mysql-client_5.1.36-1_all.deb
 958b6344244bc80c1e07269d1f5e62fe 1953306 libs optional libmysqlclient16_5.1.36-1_amd64.deb
 e579a7e9754714ff0388e44d02755238 6678002 libdevel optional libmysqlclient-dev_5.1.36-1_amd64.deb
 7bc700db8e7afa4e1602c4ed534e9ae7 9115414 misc optional mysql-client-5.1_5.1.36-1_amd64.deb
 4fa4b94879e00166d170d964d1d6ebf4 10732690 misc optional mysql-server-5.1_5.1.36-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkpheVcACgkQr/RnCw96jQF5wwCeN//Hq/Q1V4PENEWX8gCquaaj
A5YAoJY0WU3eepppyD8kp5GsV/Vt/zf9
=oByX
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 28 Aug 2009 07:31:11 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Andrey Rahmatullin <wrar@altlinux.org> to control@bugs.debian.org. (Wed, 29 Sep 2010 08:00:07 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions mysql-dfsg-5.1/5.1.36-1 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 29 Sep 2010 08:00:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>:
Bug#450535; Package libmysqlclient16. (Wed, 29 Sep 2010 08:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrey Rahmatullin <wrar@altlinux.org>:
Extra info received and forwarded to list. Copy sent to Debian MySQL Maintainers <pkg-mysql-maint@lists.alioth.debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a $gBug is determined using this field. Please remember to include a Subject field in your messages in future.

(Wed, 29 Sep 2010 08:18:03 GMT) Full text and rfc822 format available.


Message #103 received at 450535@bugs.debian.org (full text, mbox):

From: Andrey Rahmatullin <wrar@altlinux.org>
To: 450535@bugs.debian.org
Date: Wed, 29 Sep 2010 14:15:36 +0600
[Message part 1 (text/plain, inline)]
Looks like this bug was closed because of a mistake. libmysqlclient.so is
not linked to libmysqlclient_r.so, "Closes:" clause was in a "[TODO]"
section of changelog and there is no such clause in the changelog of
libmysqlclient16 5.1.49-1.

-- 
WBR, wRAR (ALT Linux Team)
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:50:16 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.